# Uses of Interface
io.dapr.workflows.client.WorkflowFailureDetails

Packages that use WorkflowFailureDetails
Package
Description
io.dapr.workflows
io.dapr.workflows.client
io.dapr.workflows.runtime

## Uses of WorkflowFailureDetails in io.dapr.workflows

Methods in io.dapr.workflows that return WorkflowFailureDetails
Modifier and Type
Method
Description
`WorkflowFailureDetails`
WorkflowTaskRetryContext.`getLastFailure()`
Gets the details of the previous task failure, including the exception type, message, and callstack.
Constructors in io.dapr.workflows with parameters of type WorkflowFailureDetails
Modifier
Constructor
Description
``
`WorkflowTaskRetryContext(DefaultWorkflowContext workflowContext, int lastAttemptNumber, WorkflowFailureDetails lastFailure, Duration totalRetryTime)`
Constructor for WorkflowTaskRetryContext.

## Uses of WorkflowFailureDetails in io.dapr.workflows.client

Methods in io.dapr.workflows.client that return WorkflowFailureDetails
Modifier and Type
Method
Description
`WorkflowFailureDetails`
WorkflowInstanceStatus.`getFailureDetails()`
Gets the failure details, if any, for the failed workflow instance.

## Uses of WorkflowFailureDetails in io.dapr.workflows.runtime

Classes in io.dapr.workflows.runtime that implement WorkflowFailureDetails
Modifier and Type
Class
Description
`class`
`DefaultWorkflowFailureDetails`
Represents a workflow failure details.
Methods in io.dapr.workflows.runtime that return WorkflowFailureDetails
Modifier and Type
Method
Description
`WorkflowFailureDetails`
DefaultWorkflowInstanceStatus.`getFailureDetails()`
Gets the failure details, if any, for the failed workflow instance.